<?php

return [

    // Пользователи
    'users' => [
        // Роли и их названия
        'roles' => [
            'buyer' => 'Покупатель',
            'seller' => 'Продавец',
            'freelancer' => 'Фрилансер',
            'staff' => 'Сотрудник',
            'admin' => 'Админ',
        ],
        // Роли сотрудников компании
        'team_roles' => [
            'staff',
            'admin',
        ],
    ],

    // Типы товаров
    'product_types' => [
        // Стадии и их особенности
        // Типы ответственности: 'content', 'sales', 'developer'
        'stages' => [
            'price' => [
                'title' => 'Прайс-Листы',
                'assignee' => ['sales'],
            ],
            'props' => [
                'title' => 'Характеристики',
                'assignee' => ['content'],
            ],
            'parsing' => [
                'title' => 'Распознавание',
                'assignee' => ['developer'],
            ],
            'structure' => [
                'title' => 'Сем.Ядро',
                'assignee' => ['sales'],
            ],
            'import' => [
                'title' => 'Импорт',
                'assignee' => ['sales'],
            ],
            'content' => [
                'title' => 'Наполнение',
                'assignee' => ['sales'],
            ],
            'tags' => [
                'title' => 'Тегирование',
                'assignee' => ['sales'],
            ],
            'growth' => [
                'title' => 'SEO/Продажи',
                'assignee' => ['content', 'sales'],
            ],
        ],
        // Стадии, в которых тип товара опубликован
        'published_stages' => ['tags', 'growth'],
    ],

    // Характеристики товаров
    'product_props' => [
        // Типы характеристик
        'types' => [
            'string' => 'Строка',
            'enum' => 'Выбор из списка',
            'int' => 'Целое число',
            'decimal' => 'Число с десятичной частью',
            'bool' => 'Да/Нет',
        ],
        // Кол-во знаков после запятой
        'decimal_numbers' => [
            1 => '1 (0.0)',
            2 => '2 (0.00)',
            3 => '3 (0.000)',
        ],
        // Способы отображения вариантов фильтра
        'filter_options_layouts' => [
            'checkboxes' => 'Набор чекбоксов',
            'dropdown' => 'Выпадающий список',
        ],
        // Виды сортировки вариантов фильтра
        'filter_options_orders' => [
            'alphabet' => 'По алфавиту',
            'number' => 'По величине числа',
        ],
    ],

    // Ключевые слова
    'search_keywords' => [
        // Типы ключевиков
        'elm_types' => [
            '' => 'Не определен',
            'intent' => 'Намерение',
            'product_type' => 'Тип товара',
            'product_prop' => 'Характеристика',
            'product_prop_value' => 'Значение характеристики',
            'trash' => 'Мусор',
        ],
        // Стоп-слова
        // Перенести в настройки, когда будут
        'stop_words' => explode(' ', 'a about all an and any are as at be but by can do for from have 
        i if in is it my no not of on one or so that the there they this to was we what which will with would you а 
        будем будет будете будешь буду будут будь будьте бы был была были было быть в вам вами вас весь во вот все всё 
        всего всей всем всём всеми всему всех всею всю вся вы да для до его ёго ее её ёё ей ёй ему ёму если ест 
        есть еще ещё ею же за и из или им ими их к как кем ко когда кого ком кому которая которого которое которой 
        котором которому которою которую которые который которым которыми которых кто меня мне мной мог моги могите 
        могла могли могло могу могут мое моё моего моей моем моём моему моею можем может можете можешь мои моим 
        моими моих мой мочь мою моя мы на нам нами нас наш наша наше нашего нашей нашем нашему нашею наши нашим 
        нашими наших нашою нашу не нё него нее неё ней нем нём нему нет нею ним ними них но о об один одна одни 
        одним одними одних одно одного одной одном одному одну он она они оно от по при с сам сама самим самими 
        самих само саму свое своё своего своей своем своём своему своею свои своим своими своих свой свою своя себе 
        себя собой собою та так такая такие таким такими таких такого такое такой таком такому такою такую те тё 
        тебе тебя тем тём теми тех то тобой тобою того той только том тому тот тою ту ты у уже чего чем чему что чтобы 
        эта эти этим этими этих это этого этой этом этому этот эту я'),
    ],

    // Поисковые намерения
    'search_intents' => [
        // Контексты поискового намерения. Задаем их, потому что в разных контекстах можем обрабатывать намерение
        // по-разному. Т.е. например поисковое намерение "купить" в контексте типа товаров ("купить шины") означает
        // просто тот же каталог товаров, а в контексте товара ("купить nokian nordman 7") — к URL добавляем
        // суффикс "/kupit/".
        'contexts' => [
            'product_type' => 'Тип товара',
            'vendor' => 'Производитель товара',
            'group' => 'Серия товара',
            'product' => 'Модель товара',
        ],
        'defaults' => [
            // Дефолтные поисковые намерения, которые добавляем типу товара при его создании
            // Вот это надо в настройки — может постоянно меняться
            'Покупка' => [
                'keywords' => ['купить', 'приобрести', 'цена'],
                'contexts_slugs' => [
                    'product_type' => '',
                    'vendor' => '',
                    'group' => '',
                    'product' => 'kupit',
                ],
            ],
            'Отзывы' => [
                'keywords' => ['отзывы'],
                'contexts_slugs' => [
                    'product_type' => 'otzyvy',
                    'vendor' => 'otzyvy',
                    'group' => 'otzyvy',
                    'product' => 'otzyvy',
                ],
            ],
            'Обзоры' => [
                'keywords' => ['обзоры'],
                'contexts_slugs' => [
                    'product_type' => 'obzory',
                    'vendor' => 'obzory',
                    'group' => 'obzory',
                    'product' => 'obzory',
                ],
            ],
        ],
    ],
];
